ath5k driver hangs periodically, please include trivial patch in kernel

Bug #356768 reported by Rich on 2009-04-07
80
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
Declined for 2.6.28 by Brad Figg
Declined for 2.6.29 by Brad Figg
Declined for 2.6.30 by Brad Figg
Declined for 2.6.31 by Brad Figg
Declined for Trunk by Brad Figg
linux (Ubuntu)
Medium
Manoj Iyer
Declined for Jaunty by Brad Figg
Nominated for Lucid by Rich

Bug Description

Precisely as the title says - I have the ath5k non-LBM driver in use, on latest Jaunty, amd64, 2.6.28-11-generic, and I periodically have the problems described on https://bugzilla.kernel.org/show_bug.cgi?id=12068.

There has been a patch available for ~4 months, which is approximately 10 lines all told, and simply adds sanity checks to the reset call in the driver which causes the problem. It's worked for me for four months, and I've been adding it by hand.

Please add it to L-B-M and/or the core kernel package - I know many other ath5k users with this problem, and this patch is sufficiently trivial that I'd be sad if it doesn't end up in.

http://bugzilla.kernel.org/attachment.cgi?id=19574 is the patch.

Hi Rich,

Any idea why this patch hasn't been merged upstream yet? The reason I ask it is a lot of extra work for the Ubuntu kernel team to maintain out of tree patches. They usually prefer that patches be accepted upstream first before pulling them in.

Also, I just want to note that the kernel is currently frozen in preparation for Jaunty's upcoming release. So this would most likely have to wait as for a Stable Release Update, but again, may depend on this getting upstream first. Thanks.

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

Luis, any idea if the patch in the upstream bug report will get pulled into wireless-testing?

http://bugzilla.kernel.org/show_bug.cgi?id=12068

http://bugzilla.kernel.org/attachment.cgi?id=19574

Thanks.

Changed in linux:
status: Unknown → Confirmed
Manoj Iyer (manjo) on 2009-04-22
Changed in linux (Ubuntu):
assignee: nobody → manjo
Manoj Iyer (manjo) wrote :

Can you please verify the kernel in http://people.ubuntu.com/~manjo/lp356768-jaunty/ and report back here ?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Manoj Iyer (manjo) wrote :

Please report test results so that I can submit SRU for jaunty.

Konrad Klimaszewski (graag) wrote :

I'm experiencing this bug on Acer Aspire One, latest Jaunty.
arch: i386
kernel: 2.6.28-11-generic
wireless driver: ath5k (LBM installed)

It is rather hard to trigger on purpose - last time it happened after 22 hours of extensive wireless usage.

I would be happy to test the patched kernel.
Could you prepare a kernel for i386 arch?

aboaboit (andrea-borgia) wrote :

I upgraded yesterday from a fully up-to-date 8.10 with a working ath5k connection, to find that 9.04 did not.
Symptoms are "noise floor" errors as reported above.
I've tried Manoj's patched kernel and I am writing this comment using the wireless connection.

Rich (rincebrain) wrote :

To be clear, this bug also applies to Intrepid's kernel, so upgrading to Jaunty shouldn't have done anything negative.

Manoj Iyer (manjo) wrote :

Aboaboit, It is not clear to me, are you reporting that my kernel works for you in 64bit Jaunty ?

conrad, I have uploaded a i386 kernel for you to test under http://people.ubuntu.com/~manjo/lp356768-jaunty/i386/

Thank you for reporting and testing, really appreciate all the help.

Manoj Iyer ha scritto:

> Aboaboit, It is not clear to me, are you reporting that my kernel works
> for you in 64bit Jaunty ?

Sorry for not noticing your build was i386-specific but, yes, basically
it works. Maybe later today I'll try rebuilding the 64bit kernel and
test that too.

A.

Konrad Klimaszewski (graag) wrote :

Manoj, Thanks for the i386 kernel. I've installed it and for now it works fine. I'll do some stress tests over the weekend to see if the bug can be triggered.

aboaboit (andrea-borgia) wrote :

Manoj Iyer ha scritto:

> aboaboit you should find both 32 and 64bit kernels under
> http://people.ubuntu.com/~manjo/lp356768-jaunty/
> 32bit kernel - http://people.ubuntu.com/~manjo/lp356768-jaunty/ii386
> 64bit kernel - http://people.ubuntu.com/~manjo/lp356768-jaunty/amd64

I was in a hurry and my last report was incorrect: in fact, I am running
the 64 bit version that you built:

Linux mila 2.6.28-11-generic #43~356768manjo1 SMP Wed Apr 22 18:43:56
UTC 2009 x86_64 GNU/Linux

In my experience, it worked OK at home (WPA, in case it matters) and it
isn't working in the office (WEP). Nothing suspicious in the kernel
logs, though.

Andrea.

Tim Gardner (timg-tpi) on 2009-05-04
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Aldrin Martoq (amartoq) wrote :

@manoj: Thanks! I have installed your kernel on May 2 and got zero hangs since then (running for 3 days).

For me, the hang was pretty notorious because I usually work in interactive sessions like ssh and vnc. Please try to make this patch reaches upstream.

Current Log:

root@amartoq-macbook:/var/log# date
Mon May 4 12:41:10 CLT 2009
root@amartoq-macbook:/var/log# zgrep -h 'noise floor calibration' * | cut -b 1-6 | sort | uniq -c
     11 Apr 20
      3 Apr 22
     12 Apr 23
      2 Apr 24
     35 Apr 25
     52 Apr 26
     32 Apr 27
    268 Apr 28
     20 Apr 29
      2 Apr 30
      6 May 1
     62 May 2

Aldrin Martoq (amartoq) wrote :

I'm sorry to take my last comment back: It worked correctly until last night when I was watching an online video and the connection stopped intermittently, making the whole experience unusable... Now I found the reason:

root@amartoq-macbook:/var/log# zgrep -h 'noise floor calibration' * | cut -b 1-6 | sort | uniq -c
     62 May 2
     86 May 4
      6 May 5
root@amartoq-macbook:/var/log# uname -a
Linux amartoq-macbook 2.6.28-11-generic #43~356768manjo1 SMP Tue Apr 28 22:06:53 UTC 2009 i686 GNU/Linux

Not sure what make the bug reappear, I've just started this notebook and got temporarly connection problems.

I'm using a Macbook1,1 and in MacOS X Tiger wireless work flawlessly; it has an option that says "Activate Noise Reduction" but have not found the same in modinfo ath5k... Maybe as a workaround we could disable this noise floor feature?

Konrad Klimaszewski (graag) wrote :

I've tested the i386 version during the weekend.

I managed to hang the wireless two times under heavy load (not sure if it is relevant but it usually happened to me while streaming some video). Then I stopped testing :/.

In dmesg I've seen:
ath5k phy0: noise floor calibration timeout
ath5k phy0: failed to wakeup the MAC Chip
ath5k phy0: can't reset hardware (-5)

I don't have my laptop with me at the moment so I cannot post full dmesg log.

I looked once again through the bug report at kernel bugzilla. Actually I do not see any traces from "warn_on_slowpath". Is there some verbosity setting for dmesg? Or maybe it's a different bug after all.

Is there some additional info you would like me to provide?

Manoj Iyer (manjo) wrote :

If the issue remains in Jaunty, please test the latest upstream kernel build - https://wiki.ubuntu.com/KernelMainlineBuilds .

aboaboit (andrea-borgia) wrote :

I installed this version from the mainline builds:
Linux mila 2.6.30-020630-generic #020630 SMP Wed Jun 10 09:04:38 UTC 2009 x86_64

With it, I was at last able to complete an amdump run over wifi. Preliminary impression is good, will keep you posted.

Craig Cabrey (cabrey) wrote :

I can confirm this for an Eee pc 900ha with a AR242x chip. I also have another issue -- sometimes NetworkManager fails to connect to my WEP network, and keeps coming back to me and asking for a WEP password, even though it is correct. This sounds like the ath5k driver is to blame, any chance it is related to the bug reported here?

PS, only a reboot seems to fix it, rmmod'ing and modprobe'ing do nothing.

Aldrin Martoq (amartoq) wrote :

Macbook1,1; manually upgraded from Jaunty to Karmic alpha2.

Tried two kernels from karmic (linux-image-2.6.30-10-generic and linux-image-2.6.31-1-generic). The bug is still here. I'm not sure when it hangs or when it works, the net effect is that my transfers are as low as 10KiB/s (I expect at least 1000KiB/s) and ssh is pretty unusable.

This is the top bug that keeps me using Mac OS Tiger instead of Ubuntu, please tell me what can I do to fix this bug.

Thanks,

I can confirm this bug in a MSI VR 321 laptop with AR242x wifi chip.

I was running jaunty with a few backports installed, but have since removed all backports and there has been no change. I then downloaded a newer kernel from someone's link in another bug report, but it did not fix the problem.

It is a shame that it is so difficult to tell when this problem is fixed, as it only occurs intermittently.

uname -a
Linux user-laptop 2.6.30-020630-generic #020630 SMP Wed Jun 10 09:45:40 UTC 2009 i686 GNU/Linux

JK (albgulu) wrote :

--------
I had the same problem with Ubuntu 9.04 and Atheros WiFi Card:

Tried Knoppix 6.2 (Kernel 2.6.30) with the same notebook: It worked !!!
--> Solution: get kernel linux-2.6.30.5 Recompile on the Ubuntu 9.04 and it works !!
For some reason the ath5k driver (or other components ) do not have the bug.
All the pings are getting now responds (before i had 10% packet loss)

Aldrin Martoq (amartoq) wrote :

To ubuntu kernel-maintainers:

Could you please add "CONFIG_ATH5K_DEBUG=y" to linux-image-xxxx ?

This will allow the users of this hardware to better debug and know/report when/how the wireless stop working, just by setting the following:

---/etc/modules----
ath5k debug=0x25
---/etc/modules---

Normal users will not have this setup, so they will not notice any change.

Thanks,

Levon Haykazyan (levon-rock) wrote :

I had similar problems with ath5k on Samsung NC20. Not finding a solution, I switched to ndiswrapper - the same problems there. Finally found a madwifi branch for my card, installed ath_pci and ... damn the same issue with ath_pci.
I think the problem is located deeper than just ath5k, ndiswrapper or ath_pci.

Wolfgang Ulmer (wulmer) on 2009-10-23
description: updated
Ralph Janke (txwikinger) wrote :

Is this problem supposed to be fixed in karmic? I have the feeling I can reproduce it in Karmic. Every about 25 sec I have a burst of 8-12 secs when all packages seem to be delayed (or dropped, not sure, I notice it on tcp which means it could be resend).

Ralph Janke (txwikinger) wrote :

correction: substitute packages with packets in the last message.

JamesL (jamesly0n) wrote :

I had similar problems on Jaunty, however examining /var/log/messages didn't tell me anything. After upgrading to Karmic, I'm still getting system hangs when I use the ath5k wireless driver. A few points are different about my system though:

- Under Jaunty, using the ath_pci driver fixed the problem completely.
- Under Karmic, I've noticed a couple of other symptoms, most notably that when I try to set up an ad-hoc network I get network names full of garbage characters appearing in the networkmanager dropdown. The netbook I'm trying to connect to my main system with also sees these.
- Under Karmic I've also been getting sound skips when connected to wireless; can't be sure if this is related or not since it doesn't happen frequently enough to nail down.

Right now I've disabled wireless drivers on Karmic since I can't get ad-hoc networking to work anyway so it's no use to me (the WPA network I create gets detected as a WEP network as described in #322902). When I upgraded from Jaunty to Karmic I also switched from 32-bit to 64-bit (this was due to an installation mistake with Jaunty that didn't seem worth fixing by the time I noticed it).

I also tried using the instructions posted to the forum at http://ubuntuforums.org/showthread.php?t=1309072 to install MadWifi drivers manually, but this causes nm-applet to segfault so I can't connect to anything.

Rich (rincebrain) wrote :

My bug was actually a hardlock of the system.

Your problem is, I believe, the same as mine, but I think they disabled dmesg printing of notifications by default for this, and now instead of hardlocking it merely lags for 10-15s.

George Varghese (geovar) wrote :

I can confirm similar behavior in Samsung NC20 netbook with Ubuntu Jaunty. WLAN disconnects sometimes without any reason. It tries to connect showing one green dot on the nm-applet on taskbar but fails to connect. It asks for password but never succeeds. I tried to disable WLAN by right clicking nm-applet and unchecking WLAN. That greys the WLAN. I can not enable it again. The only solution I know is a reboot. This happens once in a day or more. I tried it in different WLAN networks (school, home). No difference. Even after reboot WLAN fails to come up. So in most cases it requires a second reboot. It is quite annoying. Is there any log/information I could give to help developers? Please let me know. Thanks very much for your contributions.

shamwow (sh4m-w0w) wrote :
Download full text (4.6 KiB)

Allright kids I'm pretty sure this is an interrupt thing with atk5k. My Atheros-based PCI wireless card has always sucked pretty hard, but upon installing a fresh copy of Ubuntu 9.10 (Karmic Koala) , I'm getting random system hangs. I never got those with my old crappy copy of Ubuntu 8.x. But now EVERYTHING locks up, the capslock/numlock light starts blinking, mocking me...no mouse, no keyboard... and worst of all my Smiths mp3s stop playing, and I have to stop emo crying long enough to power cycle the machine. Needless to say, I cannot live like this, not when I'm trying to develop under Sun VirtualBox.

I'm pretty sure its ath5k somehow ... check out this kern.log. Crash occurred around Mar 14 20:18.

#Gnome segfaults like two hours previous. Big surprise there. Whatevs.
Mar 14 18:18:22 failwhale-desktop kernel: [87849.251192] gnome-screensav[12974]: segfault at 0 ip 00479f48 sp bfb46e60 error 4 in libGL.so.185.18.36[410000+81000]

#Nothing for two hours

#Then this "ath5k" unsupported jumbo thing. Sometimes its other ath5k related messages (noise calibration floor timeout). But always a crash within a few minutes proximity (<10mins).
Mar 14 20:12:38 failwhale-desktop kernel: [94705.066295] ath5k phy0: unsupported jumbo

#OH NOES CRASH !! HARD LOCK! ENTIRE SYSTEM FREEZE!

#Reboot
Mar 14 20:20:46 failwhale-desktop kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.
Mar 14 20:20:46 failwhale-desktop kernel: [ 0.000000] Initializing cgroup subsys cpuset
Mar 14 20:20:46 failwhale-desktop kernel: [ 0.000000] Initializing cgroup subsys cpu
Mar 14 20:20:46 failwhale-desktop kernel: [ 0.000000] Linux version 2.6.31-20-generic (buildd@rothera) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu9) ) #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 201

Anyway, I'm downloading the kernel sources right now, I'm going to patch this shit manually since its been going on since last April 2009 at least, if not longer.

Downloading
package: linux-source-2.6.31

and I'm going to attempt to manual patch these crap ath5k drivers with vi, then recompile the modules. I'll let you know how it goes.

I will be manually adding the ten necessary lines to the ath5k driver sources from Bob Copeland's patch found here:
http://bugzilla.kernel.org/attachment.cgi?id=19574

Naturally I will be using vi on a transparent xterm.

For the curious, here's system info:

root@failwhale-desktop:/usr/src# uname -a
Linux failwhale-desktop 2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 2010 i686 GNU/Linux

root@failwhale-desktop:/usr/src# lcpci
00:00.0 Host bridge: Intel Corporation 82P965/G965 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82P965/G965 PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02...

Read more...

shamwow (sh4m-w0w) wrote :

Okay, so I think this worked. No crash yet. See my above post for problem/system description.

1) I downloaded linux sources for my kernel version using package manager, untarred them (2.6.31-20).

2) I manually applied Bob's patch by changing the relevant code in the relevant directory (using vi), specifically in these three files , which according to Bob Copeland need sanity checks added to prevent kernel panic.
/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k/base.c
/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k/base.h
/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k/phy.c

View the patch details here
http://bugzilla.kernel.org/attachment.cgi?id=19574

3) I recompiled the kernel. This took forever. I did 'make oldconfig' from the linux-source-2.6.31 directory, then did a 'make' and let it run while I slept.

4) To my surprise I found a nicely compiled ath5k.ko file!! I couldn't insmod it, so I backed up the old ath5k.ko module in /lib/modules/2.6.31-20..
/lib/modules/2.6.31-20-generic/kernel/drivers/net/wireless/ath/ath5k/ath5k.ko <-- needs to be backed up.

then I did this.

root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# modprobe -r ath5k
#wireless goes down
root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# ls
ath5k.h attach.o caps.o dma.c gpio.o Makefile phy.o rfbuffer.h
ath5k.ko base.c debug.c dma.o initvals.c Makefile.bak qcu.c rfgain.h
ath5k.mod.c base.h debug.h eeprom.c initvals.o modules.order qcu.o rfkill.c
ath5k.mod.o base.o desc.c eeprom.h Kconfig pcu.c reg.h rfkill.o
ath5k.o built-in.o desc.h eeprom.o led.c pcu.o reset.c
attach.c caps.c desc.o gpio.c led.o phy.c reset.o
root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# cp ath5k.ko /lib/modules/2.6.31-20-generic/kernel/drivers/net/wireless/ath/ath5k/
root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# depmod -a
root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# modprobe ath5k
root@failwhale-desktop:/usr/src/linux-source-2.6.31/drivers/net/wireless/ath/ath5k# uname -a
Linux failwhale-desktop 2.6.31-20-generic #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 2010 i686 GNU/Linux
#wireless comes back up

Hopefully we are stable now, if you don't see any more posts here you can assume my manual application of Bob Copeland's ath5k driver fix is effective... you can look at the patch file here, it's like 10 lines of ath5k code to add a couple of locks and sanity checks during the wireless interface reset...
http://bugzilla.kernel.org/attachment.cgi?id=19574

shamwow (sh4m-w0w) wrote :

Okay I think applying Bob's patch and recompiling ath5k kernel module solved my system stability problem. No lockups (kernel panics) since I changed to the custom module. Someone needs to add this to the mainline linux kernel release, this is ridiculous that Ubuntu Karmic Koala 9.10 is shipping without sanity checks on ath5k

failwhale@failwhale-desktop:~$ uptime
 22:39:04 up 1 day, 8:27, 2 users, load average: 0.87, 1.14, 1.70
failwhale@failwhale-desktop:~$

On Tue, Mar 16, 2010 at 7:43 PM, shamwow <email address hidden> wrote:
> Okay I think applying Bob's patch and recompiling ath5k kernel module
> solved my system stability problem.  No lockups (kernel panics) since I
> changed to the custom module.  Someone needs to add this to the mainline
> linux kernel release, this is ridiculous that Ubuntu Karmic Koala 9.10
> is shipping without sanity checks on ath5k
>
> failwhale@failwhale-desktop:~$ uptime
>  22:39:04 up 1 day,  8:27,  2 users,  load average: 0.87, 1.14, 1.70
> failwhale@failwhale-desktop:~$

Ubuntu 9.10 uses a kernel that is deprecated, the 2.6.31 kernel no
longer gets stable updates.

  Luis

shamwow (sh4m-w0w) wrote :

Hm okay well I went away for a few days, came back, box was still running stable. I started checking my email and within 5 minutes I had a kernel panic (flashing numlock lights etc)

Here's the kern.log snapshot
Mar 18 18:55:20 failwhale-desktop kernel: [276251.587698] ath5k phy0: unsupported jumbo
Mar 18 20:10:10 failwhale-desktop kernel: [280741.897414] ath5k phy0: unsupported jumbo
Mar 18 20:29:50 failwhale-desktop kernel: [281921.096017] wlan0: no probe response from AP 00:e0:98:fe:ba:66 - disassociating
Mar 18 20:29:51 failwhale-desktop kernel: [281922.142586] wlan0: authenticate with AP 00:e0:98:fe:ba:66
Mar 18 20:29:51 failwhale-desktop kernel: [281922.143968] wlan0: authenticated
Mar 18 20:29:51 failwhale-desktop kernel: [281922.143972] wlan0: associate with AP 00:e0:98:fe:ba:66
Mar 18 20:29:51 failwhale-desktop kernel: [281922.146018] wlan0: RX ReassocResp from 00:e0:98:fe:ba:66 (capab=0x461 status=0 aid=1)
Mar 18 20:29:51 failwhale-desktop kernel: [281922.146021] wlan0: associated
Mar 18 20:30:28 failwhale-desktop kernel: [281959.272019] wlan0: no probe response from AP 00:e0:98:fe:ba:66 - disassociating
Mar 18 20:30:29 failwhale-desktop kernel: [281960.312955] wlan0: authenticate with AP 00:e0:98:fe:ba:66
Mar 18 20:30:29 failwhale-desktop kernel: [281960.316042] wlan0: authenticated
Mar 18 20:30:29 failwhale-desktop kernel: [281960.316047] wlan0: associate with AP 00:e0:98:fe:ba:66
Mar 18 20:30:29 failwhale-desktop kernel: [281960.321391] wlan0: RX ReassocResp from 00:e0:98:fe:ba:66 (capab=0x461 status=0 aid=1)
Mar 18 20:30:29 failwhale-desktop kernel: [281960.321395] wlan0: associated
#KERNEL PANIC SOMEWHERE IN THIS TIME INTERVAL
#SHAMWOW MAKES FAILWHALE REBOOT
Mar 18 21:38:20 failwhale-desktop kernel: imklog 4.2.0, log source = /var/run/rsyslog/kmsg started.
Mar 18 21:38:20 failwhale-desktop kernel: [ 0.000000] Initializing cgroup subsys cpuset
Mar 18 21:38:20 failwhale-desktop kernel: [ 0.000000] Initializing cgroup subsys cpu
Mar 18 21:38:20 failwhale-desktop kernel: [ 0.000000] Linux version 2.6.31-20-generic (buildd@rothera) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu9) ) #57-Ubuntu SMP Mon Feb 8 09:05:19 UTC 2010 (Ubuntu 2.6.31-20.57-generic)

So I have no idea what's going on, I suppose I'll just upgrade and recompile the kernel. I still think it's some instability problem in ath5k, there is probably a missing sanity check elsewhere in the code during wireless access point communication / reassociation. Either that or the kernel panic has something to do with graphics (it was stable until I came back and started surfing the internet and moving the mouse). Thanks Luis I'll probably upgrade the kernel, but Ubuntu 9.10 was the latest release so I blame them ! hah

I will post here if I solve the stability issue. The patch to ath5k has helped but not solved the problem. Now its stable for 96hours instead of 24 hours.

nUboon2Age (nuboon2age) on 2010-05-17
description: updated
Asrivas (asrivas) wrote :

Happens on lucid with ath5k. Random hangs saw upto 5 hangs today. Changed to using wicd which I think fixes it.

sole (solesole) wrote :

I can confirm this happened as soon as I upgraded to Lucid. Before it happened occasionally if the network was used quite a lot (bittorrent), but with Lucid it happened repeatedly, as early as 15 minutes after upgrading.

I can also confirm that the patch has fixed the issue; my computer has been working continuously since I applied it with amule+bittorrent+youtube's and etc and I haven't had any system freeze with Lucid and this updated module. Uptime now is "up 1 day, 3:34".

Celso Macêdo (celsovsm) wrote :

I can confirm this too...
My problem is gone away when I switched to NDISWrapper with windows driver.
O.S.=Ubuntu Lucid
Card=D-link G510 (B 4.1)

Rich (rincebrain) wrote :

This still occasionally happens to me on latest Lucid, incidentally.

I'm impressed. I filed a bug in 2009, and in September of 2010, the same bug still occurs, the same patch is still unapplied, and people are still reporting it as an issue.

Here, why don't I go file the bug in Debian, and we'll see if it makes it into Ubuntu before 2012.

gvlists (gvlists) wrote :

My AR5001 Wireless Network Adapter (rev 01) in Samsung NC20 netbook hangs occasionally. I have ubuntu lucid lynx with
kernel 2.6.32-24-generic.I observed that it happens more often if I am running bit torrents. If dmesg helps, here is something I supect. It was taken when WLAN was connected and working fine.

   76.368130] EXT4-fs (mmcblk0p1): warning: maximal mount count reached, running e2fsck is recommended
[ 76.380133] EXT4-fs (mmcblk0p1): mounted filesystem with ordered data mode
[ 149.813238] ath5k phy0: unsupported jumbo
[ 289.188630] ath5k phy0: unsupported jumbo
[ 388.803252] ath5k phy0: unsupported jumbo
[ 457.731083] ath5k phy0: unsupported jumbo
[ 809.809293] ath5k phy0: unsupported jumbo
[ 1052.590453] ath5k phy0: unsupported jumbo
[ 1170.986822] ath5k phy0: unsupported jumbo
[ 1289.722389] ath5k phy0: unsupported jumbo
[ 1946.223216] ath5k phy0: unsupported jumbo
[ 1999.994426] ath5k phy0: unsupported jumbo
[ 2091.011093] ath5k phy0: unsupported jumbo
[ 2518.098393] ath5k phy0: unsupported jumbo

Changed in linux:
importance: Unknown → Medium

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux:
status: Confirmed → Won't Fix
Changed in linux:
status: Won't Fix → Confirmed
Brad Figg (brad-figg) on 2011-07-19
Changed in linux (Ubuntu):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.